<?php

/**
 * Plugin Name: Seoindicate Product Design
 * Plugin URI: https://yuvrajhinger.in
 * Description: The plugin will allow you to show products in beautiful style.
 * Version: 1.0.0
 * Requires at least: 5.2
 * Author: Yuvraj Hinger
 * Author URI: https://yuvrajhinger.in
 * License: GPL v2 or later
 * License URI: https://www.gnu.org/licenses/gpl-2.0.html
 * Text Domain: seoindicate-product-design
 */

// Exit if accessed directly.
if (!defined('ABSPATH')) {
    exit;
}

if (!class_exists('Seoindicate')) {
    class Seoindicate
    {
        public static function init()
        {

            wp_register_script('seoindicate-product-block', plugins_url('build/index.js', __FILE__), array('wp-blocks', 'wp-i18n', 'wp-element', 'wp-editor', 'wp-components'), fileatime(plugin_dir_path(__FILE__) . 'build/index.js'));

            wp_enqueue_script('seoindicate-product-license', plugins_url('src/license.js', __FILE__), array(), fileatime(plugin_dir_path(__FILE__) . 'src/license.js'));
            wp_register_style('seoindicate-product-editor', plugins_url('src/style.css', __FILE__), array('wp-edit-blocks'), fileatime(plugin_dir_path(__FILE__) . 'src/style.css'));
            wp_register_style('seoindicate-product-style', plugins_url('src/style.css', __FILE__), array(), fileatime(plugin_dir_path(__FILE__) . 'src/style.css'));

            register_block_type('seoindicate/product', array(
                'editor_script' => 'seoindicate-product-block',
                'license_script' => 'seoindicate-product-license',
                'editor_style' => 'seoindicate-product-editor',
                'style' => 'seoindicate-product-style',

            ));                                    
            
        }

        public static function activate()
        {
            flush_rewrite_rules();
        }
        public static function deactivate()
        {
            flush_rewrite_rules();
        }
    }

    Seoindicate::init();

    /**
     * Activate the plugin.
     */
    register_activation_hook(__FILE__, array('Seoindicate', 'activate'));

    /**
     * Deactivation hook.
     */
    register_deactivation_hook(__FILE__, array('Seoindicate', 'deactivate'));
}
